#!/bin/bash

mydir="/Library/WebServer/Documents/data/runs/"

mas_dir="hmi_mast_mas_std_0201/"

tmp_dir="/Users/mbennun/tmp/2D/"

pluto_dir="pluto_bc"

declare -a StringArray=('br_r0.hdf' 'bt_r0.hdf' 'bp_r0.hdf' 'vr_r0.hdf' 'vt_r0.hdf' 'vp_r0.hdf' 't_r0.hdf' 'rho_r0.hdf')

cd ${mydir}

echo "MHDWeb results dir" ${PWD}

/bin/rm -rf dir.txt

for d in ./cr20*-medium;do [[ -d "$d" ]] && echo "${d##./}" >> dir.txt; done

export filename=dir.txt
n=1
while read line; do
    # reading each line
    dir=$line
    echo "Processing Dir: $dir"
    cd $dir
    cd ${mas_dir}
    mkdir ${pluto_dir}
    cd ${pluto_dir}

    echo "${PWD}"
    /bin/cp ../helio/*r0.hdf .

    /bin/cp ${tmp_dir}/*r0.hdf .
    for val in ${StringArray[@]}; do
        psi2pluto $val
    done

    cd ${mydir}


    n=$((n+1))
done < $filename

